Last modified: 2012-08-27 17:51:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23065 - WikiEditor buttons should have IDs
WikiEditor buttons should have IDs
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Rob Moen
:
Depends on:
Blocks: 24493
  Show dependency treegraph
 
Reported: 2010-04-06 13:27 UTC by Roan Kattouw
Modified: 2012-08-27 17:51 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Roan Kattouw 2010-04-06 13:27:07 UTC
On IRC, it was requested that the buttons in the enhanced toolbar have IDs so they can be manipulated in JS. We could use the keys in the configuration object to generate these IDs.
Comment 1 Ariel T. Glenn 2010-04-10 16:32:26 UTC
I'd like sections and groups to have ids too, if it's not too much of a pain.
Comment 2 Krinkle 2011-06-22 00:36:07 UTC
*Mass-change: Move WikiEditor bugs to component and remove blocker bug where*
Comment 3 Bugmeister Bot 2011-08-19 19:12:49 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 4 Rob Moen 2012-07-31 23:43:34 UTC
Added id attribute to buttons in https://gerrit.wikimedia.org/r/#/c/17150/
Comment 5 matanya 2012-08-12 05:08:13 UTC
This isn't fixed yet.
Comment 6 Trevor Parscal 2012-08-27 17:47:48 UTC
I'm a little suspicious about this, because it's designed to help people do something they shouldn't be doing - modifying the toolbar without using the toolbar API. They should instead be adding features to the API if they need to do something they can't do yet.

I consider this equivalent to adding an API call to MediaWiki that let you remotely call any procedure you like. Not a good idea. (yes, the analogy isn't perfect, but hopefully it gets my point across)
Comment 7 Krinkle 2012-08-27 17:50:49 UTC
On second thought, I agree.

Marking wontfix. Feel free to re-open with a rationale / use case.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links